// ARDUIPROJ_06_v1 (un smiley)
/* Auteur: Brock Craft 
 *
 * Afficheur épeleur
 * Affiche sur une matrice de LED
 *
 * v0.1 30.04.2013
 * Adapté de Oomlout.com http://www.tinyurl.com/yhwxv6h
 * VF OE 1606
*/

// Broches Arduino des lignes et des colonnes
int broLig[] = {2,3,4,5,6,7,8,9};        
int broCol[] = {17,16,15,14,13,12,11,10};

byte smiley[] = {    // Tableau de valeurs booléennes (bitmap)
  B10111100,         // Bien noter le préfixe B pour booléen
  B01000010,
  B10100101, 
  B10000001, 
  B10100101,
  B10011001, 
  B01000010, 
  B00111100};

void setup()
{ 
  for(int i = 0; i <8; i++) {         // Configure en mode sortie les 16 broches
    pinMode(broLig[i], OUTPUT);       // de commande de matrice
    pinMode(broCol[i], OUTPUT);
  }
}

void loop()
{
  afficherLutin();
}

void afficherLutin(){
  for(int compteur = 0; compteur < 8; compteur++) {
    for(int i = 0; i < 8; i++) {                          
      digitalWrite(broLig[i], LOW);
    }
    for(int i = 0; i < 8; i++) { 
      if(i == compteur) {     
        digitalWrite(broCol[i], LOW);
      }  
      else {                
        digitalWrite(broCol[i], HIGH);
      }
    }
    for(int cLig = 0; cLig < 8; cLig++) {
      int bit = (smiley[compteur] >> cLig) & 1;
      if(bit == 1) { 
        digitalWrite(broLig[cLig], HIGH);
      }
    }
  } 
}
