// APPN10_Arrosage
/* Auteur: Brock Craft 
 *
 * Arrosage de plantes
 *
 * v0.1 30.04.2013
 * VF par OE 160626
*/

int broSonde = A0; // Broche du capteur d'humidité
int broVanne = 9;  // Broche de commande la vanne

const int seuilSec = 950;  // Ajuster selon les tests
                           // 1023 = sec, < 100 = noyé
const long dureeVeille = 60000;  // Toutes les 10 minutes
const int dureeArrosage = 5000;  // Temps d'ouverture de vanne
boolean DEBUG = true;  // Si true, affiche sur moniteur série

void setup() {
  if(DEBUG) {Serial.begin(9600); }
  
  pinMode(broSonde, INPUT);
  pinMode(broVanne, OUTPUT);
  digitalWrite(broVanne, LOW); // On commence vanne fermée
}

void loop() {
  int valSonde = analogRead(broSonde);  // Lecture sonde
  if(DEBUG){
    Serial.print("Valeur sonde : ");  
    Serial.println(valSonde);
  }
  if (valSonde > seuilSec){
    digitalWrite(broVanne, HIGH); // Ouvre la vanne
    delay(dureeArrosage);         // Laisse couler
    digitalWrite(broVanne, LOW);  // Ferme la vanne
  }
  delay(dureeVeille);  // On attend la prochaine lecture
}

