/* Arduino Projects for Dummies
 * by Brock Craft 
 *
 * Chapter 14: Building a Remote Controlled Car
 * Detects signals from a garden variety remote control 
 * to drive two servo motors. 
 * 
 * This code is only for decoding your IR remote control
 *
 * Uses the standard Arduino servo library and
 * the IR Remote Library by Ken Shirriff:
 * https://github.com/shirriff/Arduino-IRremote
 * Adapted from code by Michael Margolis
 *
 * v0.1 30.04.2013
*/


#include <IRremote.h>

const int broCapteurIR = 2;
IRrecv oRecInfra(broCapteurIR);
decode_results oResultat;

void setup()
{
  Serial.begin(9600);
  oRecInfra.enableIRIn();       // Démarre récepteur IR
}

void loop() {
  if( oRecInfra.decode(&oResultat) )
  {
    afficherData();
    oRecInfra.resume(); // Valeur suivante
  }
  delay(250);
}

void afficherData()
{
  if (oResultat.decode_type == UNKNOWN)
  {
    Serial.println("-Message illisible");
  }
  else
  {
    if (oResultat.decode_type == NEC) {
      Serial.print("- decode NEC: ");
    }
    else if (oResultat.decode_type == SONY) {
      Serial.print("- decode SONY: ");
    }
    else if (oResultat.decode_type == RC5) {
      Serial.print("- decode RC5: ");
    }
    else if (oResultat.decode_type == RC6) {
      Serial.print("- decode RC6: ");
    }
    Serial.print("Valeur = ");
    Serial.println(oResultat.value, DEC);  // DEC pour format décimal
  }
}
